## ros-rolling-ros-testing 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros_testing NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "${PROJECT_NAME}-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

## ros-rolling-ros-testing 0.4.0

=== debian/changelog ===
ros-rolling-ros-testing (0.4.0-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-ros-testing (0.3.0-1focal) focal; urgency=high

  * Use rostest CMake target as output file basename. (#9 <https://github.com/ros2/ros_testing/issues/9>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 19 Mar 2021 07:00:00 -0000

ros-rolling-ros-testing (0.2.1-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 30 Apr 2020 07:00:00 -0000

ros-rolling-ros-testing (0.2.0-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 26 Sep 2019 07:00:00 -0000

ros-rolling-ros-testing (0.1.0-1focal) focal; urgency=high

  * Add ros_testing metapackage and ros2test CLI package (#1 <https://github.com/ros2/ros_testing/issues/1>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 20 May 2019 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-ros-testing
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-core, ros-rolling-ament-cmake-export-dependencies, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ros-testing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-launch-testing, ros-rolling-launch-testing-ament-cmake, ros-rolling-launch-testing-ros, ros-rolling-ros2test, ros-rolling-ros-workspace
Description: The entry point package to launch testing in ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ros-testing//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-ros-testing 0.6.0

=== debian/changelog ===
ros-rolling-ros-testing (0.6.0-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 27 Apr 2023 16:00:00 -0000

ros-rolling-ros-testing (0.5.2-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#12 <https://github.com/ros2/ros_testing/issues/12>)
  * Contributors: Audrow Nash

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-rolling-ros-testing (0.5.1-1jammy) jammy; urgency=high

  * update maintainer
  * Contributors: Dharini Dutia, quarkytale

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-rolling-ros-testing (0.5.0-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-rolling-ros-testing (0.4.0-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 12 Jan 2022 16:00:00 -0000

ros-rolling-ros-testing (0.3.0-1jammy) jammy; urgency=high

  * Use rostest CMake target as output file basename. (#9 <https://github.com/ros2/ros_testing/issues/9>)
  * Contributors: Michel Hidalgo

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 18 Mar 2021 16:00:00 -0000

ros-rolling-ros-testing (0.2.1-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-rolling-ros-testing (0.2.0-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 25 Sep 2019 16:00:00 -0000

ros-rolling-ros-testing (0.1.0-1jammy) jammy; urgency=high

  * Add ros_testing metapackage and ros2test CLI package (#1 <https://github.com/ros2/ros_testing/issues/1>)
  * Contributors: Michel Hidalgo

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 19 May 2019 16:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-rolling-ros-testing
 Section: misc
 Priority: optional
-Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
+Maintainer: Dharini Dutia <dharini@openrobotics.org>
 Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-core, ros-rolling-ament-cmake-export-dependencies, ros-rolling-ros-workspace
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
